curl --request GET \
--url https://api.birdeye.com/resources/v1/listing/status/locationimport requests
url = "https://api.birdeye.com/resources/v1/listing/status/location"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/listing/status/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"businessName": "<string>",
"activationStatus": "active/demo/inactive",
"lastUpdated": "Mon Jun 10 09:49:30 GMT 2024",
"locationStatus": "Possible Values “Published”,“Scan State” or “Disabled“",
"totalSites": 44,
"syncedCount": 30,
"submittedCount": 13,
"needUpdatesCount": 123,
"optedOutCount": 123,
"notConnectedCount": 1,
"syncedPercentage": "68.18%",
"submittedPercentage": "29.55%",
"needUpdatesPercentage": "0.00%",
"optedOutPercentage": "0.00%",
"notConnectedPercentage": "2.27%",
"publishListings": "Please initiate Publish for this locations listings.",
"errors": [
"<unknown>"
],
"sites": [
"<unknown>"
]
}{
"code": 1043,
"message": "Business should be either SMB or Enterprise sub account"
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 89,
"message": "Rate limit exceeded"
}Get Location Status Report
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Query Parameters
Id of the business.
Response
OK
Name of the Business/Location.
Activation Status of Business/Location
"active/demo/inactive"
Last Updated Date of a Business/Location.
"Mon Jun 10 09:49:30 GMT 2024"
Return the state of Business/Location.
"Possible Values “Published”,“Scan State” or “Disabled“"
Total no. of Sites.
44
Total no. of Synced sites count.
30
Total no. of Submitted sites Count.
13
Total no. of Sites where Action is required.
Total no. of Opted out sites count.
Total no. of Not connected sites count.
1
Total no. of Synced Sites Percentage.
"68.18%"
Total no. of Submitted Sites Percentage.
"29.55%"
Total no. of Need Updates Sites Percentage.
"0.00%"
Total no. of Opted out sites percentage.
"0.00%"
Total no. of Not Connected Sites Percentage.
"2.27%"
Message to initiate publish locations listings.
"Please initiate Publish for this locations listings."
List of Error messages in case of Not Published state if exists.
List of location status.

